# Method: accounts.createTestAccount

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts/createTestAccount#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts/createTestAccount#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts/createTestAccount#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts/createTestAccount#body.response_body)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts/createTestAccount#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts/createTestAccount#try-it)

Creates a Merchant Center test account.

Test accounts are intended for development and testing purposes, such as validating API integrations or new feature behavior.

Key characteristics and limitations of test accounts:

- Immutable Type: A test account cannot be converted into a regular (live) Merchant Center account. Likewise, a regular account cannot be converted into a test account.

- Non-Serving Products: Any products, offers, or data created within a test account will not be published or made visible to end-users on any Google surfaces. They are strictly for testing environments.

- Separate Environment: Test accounts operate in a sandbox-like manner, isolated from live serving and real user traffic.

### HTTP request

`POST https://merchantapi.googleapis.com/accounts/v1/{parent=accounts/*}:createTestAccount`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The account resource name to create the test account under. Format: accounts/{account} |

### Request body

The request body contains an instance of `https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts#Account`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts#Account`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).